Bug 879328 - [PATCH] can't open any executable (gdb api change?)
Summary: [PATCH] can't open any executable (gdb api change?)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdbg
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Lukáš Tinkl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch, Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-22 15:44 UTC by Michal Hlavinka
Modified: 2015-07-13 17:36 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-03-11 04:12:52 UTC


Attachments (Terms of Use)
patch to fix this (680 bytes, patch)
2013-07-12 10:12 UTC, Michal Hlavinka
no flags Details | Diff

Description Michal Hlavinka 2012-11-22 15:44:50 UTC
Description of problem:
It's not possible to open any executable in kdbg. It just shows some message with gdb output (not an error one) and that's it.

Version-Release number of selected component (if applicable):
2.5.1-2

How reproducible:
always

Steps to Reproduce:
1. install some package and its debuginfo (for example nmap and nmap-debuginfo)
2. kdbg /bin/ncat
3. 
  
Actual results:
Pop up message box "Sorry - KDbg" with content:
"""GDB: Reading symbols from
/usr/bin/ncat...Reading symbols from
/usr/lib/debug/usr/bin/ncat.debug...done.
done."""

and that's all it does.

Expected results:
ncat loaded

Additional info:

Comment 1 Michal Hlavinka 2013-07-12 10:12:22 UTC
Created attachment 772625 [details]
patch to fix this

Found the problem.
gdb prints another message before first one completes, as a result there can be misplaced "done." string

kdbg has a list of known "everything is ok" messages and expects that any unknown message means error. 

but gdb usually prints something like this:

MSG1...done.\n
MSG2...done.\n

but sometimes, it prints this
MSG1...MSG2...done.\n
done.\n

kdbg knows messages MSG1 and MSG2, but does not have "done." in the list of known safe messages, because so far it was always on the same line as MSG1/MSG2

solution is simple, just add "done." to known safe messages.

Comment 2 Fedora End Of Life 2013-12-21 09:28:47 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2014-02-05 13:14:15 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Michal Hlavinka 2014-02-05 13:41:56 UTC
Still reproducible in kdbg-2.5.2-3.fc20.x86_64

Comment 5 Fedora Update System 2014-02-27 14:28:50 UTC
kdbg-2.5.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kdbg-2.5.4-1.fc20

Comment 6 Fedora Update System 2014-02-28 18:36:08 UTC
Package kdbg-2.5.4-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdbg-2.5.4-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3211/kdbg-2.5.4-1.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-03-11 04:12:52 UTC
kdbg-2.5.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.